MetricsException (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Class MetricsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.hadoop.metrics2.MetricsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MetricsConfigException

    public class MetricsException

extends RuntimeException

A general metrics exception wrapper

See Also:
  Serialized Form

Constructor Summary
`MetricsException(String message)` Construct the exception with a message
`MetricsException(String message, Throwable cause)` Construct the exception with a message and a cause
`MetricsException(Throwable cause)` Construct the exception with a cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricsException

    public MetricsException(String message)

  Construct the exception with a message

  Parameters:
    `message` - for the exception

### MetricsException

    public MetricsException(String message,
                            Throwable cause)

  Construct the exception with a message and a cause

  Parameters:
    `message` - for the exception
    `cause` - of the exception

### MetricsException

    public MetricsException(Throwable cause)

  Construct the exception with a cause

  Parameters:
    `cause` - of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation